# ============================================================
# SE_MANIFEST.toml (Repository Intent, Scope, and Role)
# ============================================================

schema = "se-manifest-1"
schema_url = "https://github.com/structural-explainability/spec-se/blob/main/manifests/se-manifest-1.md"

[meta]
# Non-normative contextual information
framework = "Structural Explainability"
framework_url = "https://github.com/structural-explainability"
framework_note = "Provides definitions and conventions for SE_MANIFEST semantics."
description = "Declarative claim of repository intent, scope, and role."
purpose = "To make explicit the boundaries, responsibilities, and expectations of this repository relative to others."
keywords_note = "Keywords live only in CITATION.cff (canonical)."

[repo]
name = "databases-for-analytics"
org = "denisecase"
kind = "software"
status = "academic"
since = "2026"
summary = "Databases for Analytics."

[layer]
space = "Data Analytics"
role = "post-secondary-education"

[depends]
# WHY: These tools are required to complete and run the project as designed
#      (local development, execution, and dependency management).
required = [
  "python>=3.14",
  "uv",
  "git",
]
# WHY: Optional tools are not required to use or run the repository.
optional = [
  "mkdocs",
  "ruff",
  "pyright",
  "pytest",
  "lychee",
]

[provides]
artifacts = [
    "ANNOTATIONS.md",
    "CITATION.cff",
    "INSTRUCTORS.md",
    "LICENSE",
    "README.md",
    "SE_MANIFEST.toml",
]

[scope]
includes = [
    "basic Git workflows (clone, commit, push, pull)",
    "Python module creation and execution",
    "use of standard Python main() execution pattern",
    "local Python virtual environment usage (.venv)",
    "dependency management via pyproject.toml and uv",
    "use of external packages for logging and diagnostics",
    "basic variables and functions in Python",
    "professional IDE-based development workflows",
]
excludes = [
    "advanced data analysis techniques",
    "machine learning or statistical modeling",
    "domain-specific datasets",
    "production deployment systems",
]

[citation]
cff = "CITATION.cff"
preferred = "repo"
bib_hint = "case2026-databases-for-analytics"

[traceability]
identifier_map = "none"
